All features by client
======================

Legend:

  - ✓ : available
  - E : experimental
  - X : not available yet
  - N/A : not applicable for this client

## Text messaging

| **Client**                         | Linux | Windows | Android | Android TV | iOS | macOS |
| ---------------------------------- | :---: | :-----: | :-----: | :--------: | :-: | :---: |
| Text Messaging                     |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Group chat                         |   E   |    E    |    E    |     X      |  X  |   E   |
| Clear History                      |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Chat history shared across devices |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Send Files                         |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Auto accept images                 |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Custom download location           |   ✓   |    ✓    |    X    |     X      |  X  |   ✓   |
| Typing indicator                   |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   X   |
| Read status                        |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |

## Calling

| **Client**                  | Linux | Windows | Android | Android TV | iOS  | macOS |
| --------------------------- | :---: | :-----: | :-----: | :--------: | :--: | :---: |
| Audio Calling               |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Video Calling               |   ✓   |    ✓    |    ✓    |     ✓      |  ✓   |   ✓   |
| Host call conference        |   ✓   |    ✓    |    ✓    |     ✓      |  ✓   |   ✓   |
| Auto bitrate                |   ✓   |    ✓    |    X    |     X      |  ✓   |   ✓   |
| Change video quality        |   ✓   |    ✓    |    ✓    |     X      |  X   |   X   |
| Custom ringtones            |   ✓   |    ✓    |    ✓    |     X      |  X   |   ✓   |
| Select camera               |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Video call recording        |   ✓   |    ✓    |    X    |     X      |  X   |   ✓   |
| Leave audio message         |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Leave video message         |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Screen sharing              |  ✓(1) |    ✓    |    ✓    |     X      |  X   |   ✓   |
| Window sharing              |  ✓(1) |    X    |    X    |     X      |  X   |   X   |
| Media sharing               |   ✓   |    ✓    |    X    |     X      |  X   |   ✓   |
| Hardware encoding *         |   ✓   |    ✓    |    ✓    |     ✓      |  ✓   |   ✓   |
| Hardware decoding *         |   ✓   |    ✓    |    ✓    |     ✓      |  ✓   |   ✓   |
| Mute sound                  |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Texting while on call       |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Remote recording notif      |   ✓   |    X    |    X    |     X      |  X   |   X   |
| Rendez-vous mode            |   ✓   |    ✓    |    X    |     ✓      |  X   |   ✓   |
| Conference Layout           |   ✓   |    ✓    |    ✓    |     X      |  ✓   |   ✓   |
| Multistream                 |   ✓   |    ✓    |    X    |     X      |  X   |   ✓   |
| Videosplit                  |   ✓   |    ✓    |    ✓    |     ✓      |  X   |   ✓   |
| Audio Processor \*\*        |   ✓   |    ✓    |   ✓(2) |     ✓(2)    | ✓(2) |   ✓   |


\* This enables 4k video calling support  
\*\* cf. {ref}`user/faq:How can I configure the audio processor?` in
the FAQ

(1) only on X (not Wayland)  
(2) Some features enabled by default and not configurable

## Account settings

| **Client**                  | Linux | Windows | Android | Android TV | iOS | macOS |
| --------------------------- | :---: | :-----: | :-----: | :--------: | :-: | :---: |
| Profile avatar              |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Disable account             |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Delete account              |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Contact availability        |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Register username           |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Delete Contacts             |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Block Contacts              |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Link new device via DHT     |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Link new device via archive |   ✓   |    ✓    |    X    |     X      |  X  |   ✓   |
| Auto answer                 |   ✓   |    ✓    |    ✓    |     ✓      |  X  |   ✓   |
| Custom ringtones            |   ✓   |    ✓    |    ✓    |     X      |  X  |   ✓   |

## Other features

| **Client**                     | Linux | Windows | Android | Android TV | iOS | macOS |
| ------------------------------ | :---: | :-----: | :-----: | :--------: | :-: | :---: |
| Scan QR Code                   |   X   |    X    |    ✓    |     X      |  ✓  |   X   |
| Display QR Code                |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Ban contact                    |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| System notifications           |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Supported languages *          |  98   |   98    |   98    |    98      | 98  |  98   |
| Contacts shared across devices |   ✓   |    ✓    |    ✓    |     ✓      |  ✓  |   ✓   |
| Multi account                  |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| SIP account                    |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| SIP transferring               |   ✓   |    X    |    X    |     X      |  X  |   X   |
| Dark theme support             |   ✓   |    ✓    |    ✓    |     ✓      |  X  |   ✓   |
| JAMS support                   |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Plugin support                 |   ✓   |    ✓    |    ✓    |     ✓      |  X  |   ✓   |

\* According to <https://explore.transifex.com/savoirfairelinux/jami/>

## Advanced settings

| **Client**         | Linux | Windows | Android | Android TV | iOS | macOS |
| ------------------ | :---: | :-----: | :-----: | :--------: | :-: | :---: |
| DHT Proxy support  |   ✓   |    ✓    |    ✓    |     X      |  ✓  |   ✓   |
| Push notification  |  N/A  |   N/A   |    ✓    |    N/A     |  ✓  |  N/A  |
| UPnP               |   ✓   |    ✓    |    ✓    |     ✓      |  X  |   ✓   |
| TURN configuration |   ✓   |    ✓    |    ✓    |     ✓      |  X  |   ✓   |
