# Installation et mise à jour (FR)

## Installation et mise à jour sous Debian GNU/Linux et ses dérivés par la ligne de commande

### Installation

Avant de commencer l’installation via la ligne de commande GNU/Linux, si vous n’êtes pas sûr du système installé sur votre appareil, renseignez-vous avec la commande

__uname -a && lsb_release -a__

Vous obtiendrez quelque chose de ce genre pour une installation Debian :

_Linux user 4.19.0-14-amd64 #1 SMP Debian 4.19.171-2 (2021-01-30) x86_64 GNU/Linux
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 10 (buster)
Release:	10
Codename:	buster_

_x86_64_ signifie que l’architecture du système installé est en 64 bits, on l’appelle également _amd64_. L’architecture et la description de votre système sont les principales informations que vous devez noter à ce stade.

Allez sur la page [https://jami.net/download-jami-linux/#](https://jami.net/download-jami-linux/#"Télécharger Jami pour GNU/Linux") via votre navigateur web, puis choisissez votre distribution GNU/Linux dans la liste à gauche de l’écran. Les instructions correspondant à votre système sont lisibles en cliquant le bouton dont l’icône symbolise le terminal >_ . Un copier-coller de la commande indiquée suffit généralement, mais s’il arrive que la commande ne s’exécute qu’en partie, refaites le *coller* autant de fois que nécessaire pour voir la commande de l’installation proprement dite de Jami dans le terminal. En résumé la commande indiquée, pour les distributions GNU/Linux telles que Debian (qui est prise ici pour exemple, à adapter à votre propre distribution GNU/Linux) et celles qui en dérivent, fait cinq choses :

1. Elle commence par installer les outils nécessaires pour la suite de l’opération.
( sudo apt install gnupg dirmngr ca-certificates curl --no-install-recommends )

2. Elle télécharge les clés GPG de Jami et les ajoute à votre système.
( curl -s https://dl.jami.net/public-key.gpg | sudo tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null )

3. Elle ajoute dl.jami.net comme source de mise à jour pour votre système.
( sudo sh -c “echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg]
https://dl.jami.net/nightly/debian_10/ ring main' > /etc/apt/sources.list.d/jami.list” )

4. Elle met à jour le cache de apt pour qu’il puisse télécharger et installer Jami sur votre système.
( sudo apt-get update )

5. Elle lance l’installation proprement dite de Jami.
( sudo apt-get install jami )

Une fois l’installation terminée, Jami peut se lancer depuis le terminal en tapant simplement **jami** dans l’invite de commande.
### Mise à jour
La _mise à jour_ se fait par le gestionnaire de paquet apt, donc pas besoin de répéter l’intégralité de la commande évoquée plus haut. Pour mettre l’ensemble de votre système à jour en plus de Jami, faites dans le terminal

__sudo apt-get update && sudo apt-get upgrade__

C’est la ligne de commande qui actualise apt et installe les mises à jour disponibles sans rien ajouter ou enlever. Pour une mise à jour en profondeur de votre système, faites

__sudo apt-get update && sudo apt-get dist-upgrade__

Cette dernière commande est celle que j’utilise le plus souvent en tant qu’utilisateur.
Pour plus de renseignements sur la gestion des paquets, [Debian-Facile](https://debian-facile.org"Site d'entraide pour les nouveaux utilisateurs de Debian") et son wiki peuvent être utiles. Vous pouvez aussi compléter avec la [Documentation Ubuntu](https://doc.ubuntu-fr.org"Wiki ubuntu-fr : La Documentation francophone") et son guide.
## Installation et mise à jour sous Debian GNU/Linux et ses dérivés par l’interface graphique
### Installation
Le plus simple est généralement de télécharger le paquet/installeur correspondant à votre plateforme ou distribution GNU/Linux et à votre architecture (amd64 ou 64 bits en général).

Pour ce faire, rendez-vous sur le site internet de Jami, [https://jami.net](https://jami.net), via votre navigateur web (Firefox, Chromium, etc.). Cliquez ensuite sur _Télécharger Jami_ ou sur l’icône qui correspond à votre plateforme. Ici c’est Tux le manchot.

Vous devez ensuite choisir votre distribution dans la liste à gauche de l’écran. Si vous ne savez pas ce que vous avez d’installé sur votre appareil, appuyez sur la touche logo ou Super, puis tapez _à propos_ avant d’appuyer sur la touche Entrée. La fenêtre qui s’ouvre vous renseigne sur votre installation si vous avez le bureau GNOME. Ce type d’information se trouve souvent dans les paramètres de votre système, tous les environnements de bureau confondus. Il est expliqué plus haut comment se renseigner sur son système par la ligne de commande.

Vous verrez alors, plus à droite de l’écran, des boutons comme ci-dessous. Le premier vous ouvre une fenêtre pour télécharger le paquet tout-en-un pour la version du système installé sur votre appareil (option facile), le second affiche les commandes à recopier et à valider dans le terminal pour installer Jami (option un peu moins facile, expliquée dans le tutoriel d’installation en ligne de commande).

![Boutons de téléchargement](file:///home/auguste/Images/Captures/Options%20de%20t%C3%A9l%C3%A9chargement.png)

Avec la première option, les utilisateurs de Debian et des distributions qui en dérivent, comme Ubuntu, pourront alors installer le paquet Jami en utilisant gdebi.
Si vous avez gdebi vous pouvez l’ouvrir via la fenêtre qui s’ouvre quand vous cliquez sur le premier bouton. Cochez _Ouvrir avec_ et choisissez _Installateur de paquet Gdebi_ dans la liste qui s’affiche, puis cliquez sur _OK_. Le navigateur web télécharge le paquet et gdebi s’ouvre quand c’est fait. Cliquez _Installer le paquet_ puis entrez votre mot de passe pour confirmer l’installation avec les droits d’administrateur.

Si vous n’avez pas gdebi, cochez _Enregistrer le fichier_ et cliquez sur _OK_ pour télécharger le paquet et installez gdebi via gnome-software (Logithèque gnome ou Logiciels) ou par le gestionnaire de paquets Synaptic. Vous pourrez alors installer le paquet jami-all_amd64.deb par un clic droit, en choisissant _Ouvrir avec gdebi_ et procéder comme dans le paragraphe précédent.
### Mise à jour
#### Gnome-software
Le gestionnaire de paquet fourni par l’environnement de bureau GNOME tout en étant intuitif, permet de gérer différents formats de paquets en plus du format natif .deb, nous traitons de cela dans le tutoriel d’installation de Jami via l’interface graphique pour les distributions GNU/Linux non prises en charge par https://jami.net.
L’onglet _Mises à jour_ devrait afficher l’ensemble des mises à jours disponibles. Mais je vous conseille de réactualiser en cliquant sur le petit bouton représentant une flèche tournante en haut à gauche de la fenêtre. Vous devriez voir Jami apparaître dans la liste. Mais en cas de présence de mise à jour, ce logiciel vous oblige à redémarrer votre appareil pour procéder à l’installation des mises à jour. Contrairement à Synaptic que vous pouvez installer avec gnome-software.
#### Gestionnaire de paquets Synaptic
Ce que fait apt en ligne de commande, Synaptic le fait en quelques clics après l’entrée du mot de passe de l’administrateur. Cliquez _Recharger_, puis _Tout mettre à niveau_. Si des mises à jours sont disponibles, vous pourrez cliquer le bouton _Appliquer_ et en avoir un aperçu avant de valider leur installation.
#### Autres interfaces graphiques pour la gestion des paquets
La marche à suivre est à peu près similaire. Même si vous utilisez un autre environnement de bureau. Si dans certains cas, les environnements de bureau peuvent avoir eux aussi leur propre gestionnaire de paquets en interface graphique, comme Discover (plasma-discover) dans KDE Plasma, je vous conseille d’utiliser Synaptic. Mais sans le choix, il n’y a pas de liberté.
## Installation et mise à jour sur des systèmes GNU/Linux non pris en charge par jami.net
Pour les distributions GNU/Linux qui ne sont pas directement supportées, Jami est disponible dans des formats de paquets à vocation universelle comme Flatpak ou Snap. Le gestionnaire de paquets indépendant Guix peut aussi être une solution cependant moins à jour.

À l’attention des utilisateurs de (très) vieux ordinateurs, il convient de préciser que, souvent, l’architecture x86_64 ou amd64 est la plus favorisée en matière de mise à jour par rapport aux autres. Et il faut ajouter que les méthodes d’installation et de mise à jour, mentionnées ci-dessous, sont parfois gourmandes en mémoire vive. En résumé, pour prévenir toute saturation, privilégiez autant que possible une installation de votre système en amd64 ou 64 bits, et attribuez suffisamment de RAM et de swap à votre ordinateur. À mon avis, 4 Go de RAM et une partition swap de taille équivalente sont aujourd’hui un minimum. À défaut de pouvoir augmenter la RAM de votre ordinateur, agrandissez votre partition swap.
### Flatpak
Flatpak est installable selon les instructions de la page [https://flatpak.org/setup](https://flatpak.org/setup). Sur les distributions GNU/Linux supportées, il semble être l’un des moyens les plus simples d’installer Jami, il existe même une extension dédiée pour gnome-software pour une installation et une mise à jour via l’interface graphique; plasma-discover propose des services similaires via son extension dédiée. Les paquets Flatpak sont maintenus dans différents dépôts. Pour Jami, nous nous intéresserons au dépôt officiel [Flathub](https://flathub.org) et plus précisément à la page [https://flathub.org/apps/details/net.jami.Jami](https://flathub.org/apps/details/net.jami.Jami) qui fournit les instructions pour une installation en ligne de commande.
### Snapcraft
Installable selon les instructions de cette page [https://snapcraft.io/docs/installing-snapd](https://snapcraft.io/docs/installing-snapd), Snapcraft est le principal concurrent de Flatpak, il permet également une installation et une mise à jour simplifiée via une extension dédiée pour gnome-software et pour plasma-discover. À la différence de Flatpak, le choix est possible entre une version _stable_ et une version _edge_ ou en développement. Les informations concernant Jami se trouvent sur la page [https://snapcraft.io/jami](https://snapcraft.io/jami).
### Guix
Guix disponible sur la page [https://guix.gnu.org/fr/download](https://guix.gnu.org/fr/download"Télécharger GNU Guix"), est le gestionnaire de paquets indépendant du projet GNU. Installable à partir de ces instructions [https://guix.gnu.org/manual/fr/html_node/Installation-binaire.html](https://guix.gnu.org/manual/fr/html_node/Installation-binaire.html), il ne semble pour l’heure ne fonctionner qu’à partir de la ligne de commande. Sa particularité serait d’offrir la possibilité d’installer et de mettre à jour sans avoir besoin des droits administrateurs. Les paquets proposés sont les suivants : [jami-gnome](https://guix.gnu.org/fr/packages/jami-gnome-20210606.1.e2f9490/) ou [jami-qt](https://guix.gnu.org/fr/packages/jami-qt-20210606.1.e2f9490/) . Il faut noter que le client jami-qt est, depuis mai 2021, l’interface graphique commune à toutes les versions de Jami pour ordinateur, et donc l’interface par défaut maintenue en priorité par l’équipe de Savoir-Faire Linux. Si vous utilisez Guix SD, distribution GNU/Linux à part entière, vous pouvez toujours utiliser Flatpak si vous n’êtes pas satisfait du paquet Jami natif.

## Installer et mettre à jour sous Windows et MacOS

## Windows

### Téléchargement direct
Rendez-vous sur la page [https://jami.net/download-jami-windows/](https://jami.net/download-jami-windows/).
Il est conseillé le plus souvent de cliquer sur _Télécharger Jami (64-bits)_ qui est la version classique de Jami.
Mais si vous préférez profiter des toutes dernières fonctionnalités de Jami encore absentes de la version classique, choisissez plutôt _Télécharger Jami (Bêta)_.

En ce qui concerne la mise à jour, elle vous est proposée au démarrage de Jami quand elle est disponible.
### Chocolatey
Un gestionnaire de paquets pour Windows. Installable selon les instructions données ici [https://chocolatey.org/install](https://chocolatey.org/install). Cet outil vous permet d'installer et mettre à jour vos logiciels par la ligne de commande ou par [l'interface graphique](https://community.chocolatey.org/packages/ChocolateyGUI). Les informations sur la version de Jami proposée sont sur cette page [https://community.chocolatey.org/packages/jami](https://community.chocolatey.org/packages/jami).
Que ce soit via le terminal PowerShell ou l'interface graphique ChocolateyGUI, Chocolatey ne fonctionne correctement qu'à condition de disposer des droits d'administrateur. Pour vous en assurer, cliquez avec le bouton droit de la souris sur l'icône du PowerShell ou de Chocolatey et choisissez _Ouvrir en tant qu'administrateur_.
## MacOS
### Téléchargement direct
Jami peut être directement téléchargé par ce lien [https://dl.jami.net/mac_osx/jami-nightly.dmg](https://dl.jami.net/mac_osx/jami-nightly.dmg)
### AppStore
Le magasin d'applications officiel d'Apple pour MacOS permet également d'installer Jami. Voir cette page [https://jami.net/download-jami-macos/](https://jami.net/download-jami-macos/)
## Installer et mettre à jour sous Android et iOS
### Android
#### F-Droid
F-Droid est un magasin d'applications essentiellement dédié au Logiciel Libre pour Android.
##### Installer F-Droid
Depuis le navigateur web de votre téléphone, rendez-vous sur le site [https://f-droid.org](https://f-droid.org), puis cliquez _Télécharger F-Droid_. Validez en cliquant _Télécharger_.  Une fois le téléchargement terminé, votre navigateur vous indique le nom du fichier _F-Droid.apk_ ainsi obtenu. Cliquez dessus pour l'ouvrir directement.

Si vous avez déjà téléchargé le fichier en question, ouvrez votre gestionnaire de fichiers, application souvent appelée _Mes fichiers_ selon votre version d'Android. Vous retrouverez votre fichier F-Droid dans le répertoire _Téléchargements_ ou _Fichiers install._

À l'ouverture du ficher _F-Droid.apk_, vous allez recevoir un message d'avertissement. Choisissez alors l'options _Réglages_, puis cliquez le bouton à bascule _Autoriser les sources inconnues_ et enfin sur _Installer_.
##### Installer avec F-Droid
Le magasin d'applications s'ouvre sur l'onglet _Nouveautés_. En bas à droite de l'écran se trouve un bouton de recherche (une loupe blanche sur fond vert). Cliquez dessus puis tapez _jami_ avant de valider. Sélectionnez l'application Jami quand elle apparaît dans la liste et cliquez sur _Installer_. Un message vous avertit des éventuels changements qu'impliquera l'installation de Jami. Cliquez encore sur _Installer_.

Si vous utilisez F-Droid pour la première fois, le système affiche souvent un autre avertissement. Dans ce cas, choisissez _Autoriser les installations depuis cette source_.
##### Mettre à jour avec F-Droid
Cliquez sur le bouton _Mises à jour_ pour arriver dans l'onglet correspondant.
Pour actualiser, faites glisser votre doigt sur l'écran de haut en bas, comme pour le faire défiler.
Les mises à jour disponibles apparaissent. Cliquez sur celles qui vous intéressent , si ce ne sont toutes, pour les télécharger et les installer.
#### Aptoide
[Aptoide](https://fr.aptoide.com/) est magasin d'applications dont F-Droid est le *fork*, la reprise.
Il permet d'installer [Jami](https://ring.fr.aptoide.com/app) de façon similaire à F-Droid.
#### Google Play
Le magasin d'applications officiel d'Android permet également d'installer Jami. Voir cette page [https://jami.net/download-jami-android/](https://jami.net/download-jami-android/).
### iOS
#### AppStore
Le magasin d'applications officiel d'Apple pour iOS permet d'installer Jami. Voir cette page [https://jami.net/download-jami-ios/](https://jami.net/download-jami-ios/).
